=== debian/changelog ===
stress-ng (0.10.07-1ubuntu4) eoan; urgency=medium

  * Ensure --aggressive mode terminates early (LP: #1858858)
    Add a waitpid NOHANG wait on each child process and if we get ESRCH
    on all the child pids we can terminate the loop early.

 -- Colin King <colin.king@canonical.com>  Mon, 24 Feb 2020 11:14:21 +0000

stress-ng (0.10.07-1ubuntu3) eoan; urgency=medium
 
  * Fix --timer-slack from consuming the following arg (LP: #1853832)
    Currently the timer slack option eats the next argument, causing
    missing argument parsing behaviour on the command line.
  * Fix mwc8() being reset when using mwc1() (LP: #1855851)
    Fic Psuedo-random 8 bit numbers from mwc8() accidentally
    being zero'd when mwc1() is called.

 -- Colin King <colin.king@canonical.com>  Tue, 10 Dec 2019 09:32:11 +0000

stress-ng (0.10.07-1ubuntu2) eoan; urgency=medium

  * d/p/0005-stress-af-alg-handle-bind-ETIMEDOUT-failures.patch:
    retry bind() on ETIMEDOUT in case the requested module just
    gets loaded by another stress-af-alg worker. (LP: #1851553)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Wed, 06 Nov 2019 17:03:40 -0300

stress-ng (0.10.07-1ubuntu1) eoan; urgency=medium

  * stress-stack: fix segfaults when handling signals (LP: #1851316)
    requres upstream fix and prerequisite patches:
    - 10ffe40579c5 stress-stack: return error code in child using
                   _exit() and not return
    - ef18c524df48 stress-stack: don't throw a fatal error when
                   sigaltstack fails
    - 6245e5f62eae stress-stack: check for ENOMEM fork failure and retry
    - 8fb67daea592 stress-stack: setup alternative stack in child only 

 -- Colin King <colin.king@canonical.com>  Wed, 6 Oct 2019 09:02:01 +0000

stress-ng (0.10.07-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove smatchify script, we now use other tools to static
    analyse stress-ng
  * core-helper: add sanity check if ttyname returns NULL to avoid
    null pointer dereferencing
  * stress-fp-error: fix checks for NaN and Inf (LP: #1846216)
  * Don't show utf8 chars on dump consoles (LP: #1846196)
  * stress-clone: make child process larger to make it more
    OOM-able (LP: #1845948)
  * core-out-of-memory: open and close proc interface after each write
  * Add autobuild detection of getsid() for better portability
  * stress-ng.h: only use x86 target clones for x86 arches
  * stress-rdrand: unroll loop x 4 more times for more throughput
  * inline the __keep_stressing function, reduce call overhead
    for more throughput
  * stress-stack: make alternative signal stack privately
    mapped (LP: #1845464)

 -- Colin King <colin.king@canonical.com>  Tue, 1 Oct 2019 16:39:52 +0100

stress-ng (0.10.06-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-mcontend: ensure mmap'd file is sync'd with zero
    data (LP: #1845011)
  * stress-rmap: don't make fallocate failures a rmap test
    failure (LP: #1845005)
  * stress-shm: fork and exit a child to exercise shm dup and
    removal
  * stress-ng: fix jobfile with classes (LP: #1706970)
  * stress-procfs: don't randomly read pci proc info on ARM64
  * stress-procfs: remove bad buffer test, it's not portable
  * stress-sysfs: rename MAX_READ_THREADS to MAX_SYSFS_THREADS
  * stress-sysfs: remove bad address reads, these fault on ARM64
  * stress-procfs: rename MAX_READ_THREADS to MAX_PROCFS_THREADS
  * stress-inode-flags: move open/close to controlling process
  * stress-sig: fix spelling mistake "siqqueue" -> "sigqueue"

 -- Colin King <colin.king@canonical.com>  Mon, 23 Sep 2019 17:40:21 +0100

stress-ng (0.10.05-1) unstable; urgency=medium

  * Makefile: bump version
  * core-shim: fix typo in shim_move_mount
  * core-shim: use shim_enosys for more ENOSYS returns
  * Clean up shims for syslog(2) and syslog(3)
  * stress-ramfs: remove it from the filesystem test
  * stress-dirdeep: make inodes info into a debug message
  * Remove trailing tab from ends of lines
  * Remove trailing white space after statements
  * stress-vm: fix verification failure with gray code method
  * stress-socket: make EPIPE a non-fatal error condition
  * stress-udp: use correct default UDP port 7000
  * stress-ng: rescan the exclusion list for --class stressors
  * core-shim: reset errno before each waitpid call
  * stress-socket: handle SIGPIPE as non-fatal
  * stress-physpage: don't abort on zero address physpage
  * Use HTTPS URL for kernel.ubuntu.com

 -- Colin King <colin.king@canonical.com>  Thu, 12 Sep 2019 15:26:22 +0100

stress-ng (0.10.04-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove execute bit on bash completion script
  * debian: rules: workaround dwz failures on arm64

 -- Colin King <colin.king@canonical.com>  Mon, 2 Sep 2019 18:43:41 +0100

stress-ng (0.10.03-1) unstable; urgency=medium

  * Makefile: bump version
  * core-cache: add checks for null strings
  * stress-cpu: fix build time checks for __cpuid()
  * Debian: update compat to level 12
  * Manual: update date
  * stress-cpu: add a collatz sequence stressor
  * stress-dev: temporarily disable hpet test
  * stress-stack: use memory backed mmap'd alternative stack
  * stress-inode-flags: detect failures in pthread and propagate
    these back to parent (LP: #1841900)
  * Add a pthread return pointer to pthread args
  * stress-numa: move assignment to *node_ptr
  * core-helper: voidify return of fprintf
  * core-cache: voidify return of snprintf
  * stress-ramfs: voidify return of snprintf
  * stress-ng: voidify return of fprintf and fflush
  * core-job: voidify return of fprintf
  * core-sched: voidify return of fprintf
  * stress-get: voidify memset return
  * stress-seccomp: vodify memset return
  * stress-bind-mount: remove ` char in comment
  * stress-apparmor: remove redundant sizeof char
  * Add new 5.3 sched_attr fields, fixes EFBIG on sched_{get|set}attr
  * core-helper: don't call sched_getcpu on s390x


