## stress-ng 0.11.00

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2013-2019 Canonical, Ltd.
+# Copyright (C) 2013-2020 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,9 +16,9 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.10.07
-#
-# Codename "systematic system smasher"
+VERSION=0.11.00
+#
+# Codename "synthetic system strainer"
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99
@@ -43,13 +43,6 @@
 ifneq ($(NODENAME),dilos)
 GREP = /usr/xpg4/bin/grep
 endif
-endif
-
-#
-# Check for KFreeBSD
-#
-ifeq ($(KERNEL),GNU/kFreeBSD)
-CFLAGS += -D__FreeBSD_Kernel__
 endif
 
 #
@@ -109,6 +102,7 @@
 	stress-dynlib.c \
 	stress-efivar.c \
 	stress-enosys.c \
+	stress-env.c \
 	stress-epoll.c \
 	stress-eventfd.c \
 	stress-exec.c \
@@ -147,6 +141,7 @@
 	stress-iosync.c \
 	stress-ipsec-mb.c \
 	stress-itimer.c \
+	stress-judy.c \
 	stress-kcmp.c \
 	stress-key.c \
 	stress-kill.c \
@@ -168,6 +163,7 @@
 	stress-membarrier.c \
 	stress-memcpy.c \
 	stress-memfd.c \
+	stress-memhotplug.c \
 	stress-memrate.c \
 	stress-memthrash.c \
 	stress-mergesort.c \
@@ -198,6 +194,7 @@
 	stress-physpage.c \
 	stress-pidfd.c \
 	stress-pipe.c \
+	stress-pipeherd.c \
 	stress-pkey.c \
 	stress-poll.c \
 	stress-prctl.c \
@@ -242,10 +239,11 @@
 	stress-sigsegv.c \
 	stress-sigsuspend.c \
 	stress-sleep.c \
-	stress-socket.c \
-	stress-socket-diag.c \
-	stress-socket-fd.c \
-	stress-socketpair.c \
+	stress-sock.c \
+	stress-sockdiag.c \
+	stress-sockfd.c \
+	stress-sockpair.c \
+	stress-sockmany.c \
 	stress-softlockup.c \
 	stress-spawn.c \
 	stress-splice.c \
@@ -267,6 +265,7 @@
 	stress-tree.c \
 	stress-tsc.c \
 	stress-tsearch.c \
+	stress-tun.c \
 	stress-udp.c \
 	stress-udp-flood.c \
 	stress-unshare.c \
@@ -284,6 +283,7 @@
 	stress-wait.c \
 	stress-watchdog.c \
 	stress-wcstr.c \
+	stress-x86syscall.c \
 	stress-xattr.c \
 	stress-yield.c \
 	stress-zero.c \
@@ -297,6 +297,7 @@
 	core-affinity.c \
 	core-cache.c \
 	core-cpu.c \
+	core-hash.c \
 	core-helper.c \
 	core-ignite-cpu.c \
 	core-io-priority.c \
@@ -319,6 +320,7 @@
 	core-thermal-zone.c \
 	core-time.c \
 	core-thrash.c \
+	core-try-open.c \
 	stress-ng.c
 
 SRC = $(STRESS_SRC) $(CORE_SRC)
@@ -416,10 +418,10 @@
 	mkdir stress-ng-$(VERSION)
 	cp -rp Makefile Makefile.config $(SRC) stress-ng.h stress-ng.1 \
 		core-personality.c COPYING syscalls.txt mascot README \
-		README.Android test snap config TODO \
-		core-perf-event.c usr.bin.pulseaudio.eg stress-version.h \
-		bash-completion example-jobs .travis.yml kernel-coverage.sh \
-		stress-ng-$(VERSION)
+		stress-af-alg-defconfigs.h README.Android test snap config \
+		TODO core-perf-event.c usr.bin.pulseaudio.eg \
+		stress-version.h bash-completion example-jobs .travis.yml \
+		kernel-coverage.sh stress-ng-$(VERSION)
 	tar -Jcf stress-ng-$(VERSION).tar.xz stress-ng-$(VERSION)
 	rm -rf stress-ng-$(VERSION)
