=== debian/changelog ===
stress-ng (0.11.00-1) unstable; urgency=medium

  * Makefile: bump version and change codename
  * stress-pipeherd: make sure child terminates with _exit()
  * kernel-coverage: add timer-slack timer setting
  * Fix --timer-slack correctly, fetch argument and set it
  * core-parse-opts: sanity check uint32 and int32 min/max values
  * Add environment stressor
  * Make several const objects static
  * stress-pidfd: voidify return from pause system call
  * stress-get: add missing check_do_run exit points after new get*
    system calls
  * stress-get: exercise a few more get* system calls
  * stress-pipeherd: add context switch stats
  * Add pipeherd stressor: a stress to simulate a thundering herd of
    pipe wakeups

 -- Colin King <colin.king@canonical.com>  Wed, 12 Feb 2020 14:19:41 +0000

stress-ng (0.10.19-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-mmapaddr: make stress_mmapaddr_child static
  * stress-wait: remove duplicated pr_fail message and cast pid_t to
    long int
  * stress-memrate: rename NANOSEC to STRESS_NANOSEC to avoid clashing
  * stress-cyclic: avoid NANOSEC* name classhes, rename to STRESS_NANOSEC
  * Fix the MAX_FILE_LIMIT shift, use 1ULL instead of 1UL
  * stress-sockfd: attempt to read from the fd passed over the socket
  * stress-fork: fix time_now calls to stress_time_now
  * stress-clone: move a #if defined that got moved to the wrong place
  * set maximum file size based on off_t size
  * set maximum memory limit to MAX_48 and maximized limits to MAX_32
  * core-sched: prefix typedefs with stress_
  * core-perf: prefix typedefs with stress_
  * core-net: prefix typedefs with stress_
  * core-ignite-cpu: prefix typedefs with stress_
  * core-cache: prefix typedefs with stress_
  * core-cache: prefix typedefs with stress_
  * stress-*: prefix typedefs with stress_
  * stress-pty: allocate the pty structure on the heap, don't use the
    stack
  * stress-stackmmap: ensure random data is pushed onto the stack
  * stress-stack: fill pages with non-zero content to avoid same-page
    merges
  * stress-spawn: fix up a comment
  * stress-wait: add waitid siginfo sanity checks
  * stress-wait: fix WIFCONTINUED check because of a typo in the check
  * core-helper: map signal number to signal name
  * core-shim: fix renaming of time_now to stress_time_now
  * core-helper: voidify arg fd in stress_is_dev_tty
  * stress-x86syscall: move scope of variable j
  * stress-vdso: measure test overhead to compute more accurate results
  * stress-x86syscall: measure test overhead to compute more accurate
    results
  * core-time: prefix helper functions with stress_
  * core-thrash: prefix helper functions with stress_
  * core-thermal-zone: prefix helper functions with stress_
  * core-perf: prefix perf helper functions with stress_
  * core-mount: add stress_ to mount helper functions
  * Add stress_ to mmap_set and mmap_check helper functions
  * Prefix mincore helper functions with stress_
  * Rename madvise_random to stress_madvise_random
  * stress-zlib: scale the logmap value to produce harder to compress
    data
  * stress-zlib: add chaotic number generator using a logmap method
  * replace g_keep_stressing_flag with two helper functions
  * stress-memthrash: add byte swapping memory stepping thrasher
  * stress-sysfs: add bad sysfs files to hash table
  * Makefile: remove need to define __FreeBSD_Kernel__
  * Add more stress_ prefixes to various core functions
  * core-ignite-cpu: prefix ignite_* functions with stress_
  * core-cpu: rename cpu_is_x86 to stress_cpu_is_x86
  * core-hash: remove need for str pointer
  * core-hash: optimize hash adding, reduce need for strdup and a free
  * stress-zombie: make max zombies a 32 bit
  * stress-clone: make max clones a 32 bit
  * stress-chdir: cleanup the chdir(cwd) loop
  * stress-memrate: clean up continuation lines
  * Rename set_oom_adjustment -> stress_set_oom_adjustment
  * Add stress_oomable_child helper to catch and restart OOM'd child
    processes
  * stress-chdir: use flags rather than #ifdef around the open call
  * core-hash: move various string hashing functions to core-hash

 -- Colin King <colin.king@canonical.com>  Fri, 7 Feb 2020 14:37:11 +0000

stress-ng (0.10.18-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-urandom: handle ENOTTY errors on ioctl() on older kernels

 -- Colin King <colin.king@canonical.com>  Wed, 29 Jan 2020 14:09:22 +0000

stress-ng (0.10.17-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-clock: reduce scope of variable ret
  * stress-shm: free addrs and shm_names on error
  * stress-shm: only use SA_NOCLDWAIT if it is available
  * stress-exec: clean up warning on gcc 4.8.5
  * stress-exec: define err label only if required
  * Add core-try-open helper to check if a file can be opened without
    blocking
  * stress-exec: remove shadowed variables ret and rc
  * Add string hash helper to core, use this for device and scsi hashing
  * stress-dev: move handler to fix build warning
  * stress-dev: fix equality checks and incorrect stress_dev_tty_open
    call
  * stress-dev: add blocked device open sanity check
  * stress-cpu: add lowest common multiple sanity check on gcd
    computation
  * stress-clock: exercise clock_getres on a /dev/ptp0 clockid
  * stress-clock: exercise /dev/ptp0 on linux
  * kernel-coverage.sh: allow perf to run when non-root
  * stress-tmpfs: add MAP_HUGETLB mmap option and reduce sleep time
  * stress-mmap: remove duplicated no_mem_retries increment
  * stress-membarrier: exercise more membarrier commands
  * stress-fcntl: exercise F_SETOWN, F_SETOWN_EX and F_GETOWN_EX more
  * stress-exec: create and try to execute a garbage executable
  * stress-stream: fix failure message logging
  * stress-shm: add some more shm exercising on shm fd
  * stress-ramfs: rename mount point directory to mnt
  * stress-af-alg: add helpers to lookup hash types by name or type
  * stress-af-alg: remove ptr + 2 occurrences

