## stress-ng 0.11.07

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.11.00
+VERSION=0.11.07
 #
 # Codename "synthetic system strainer"
 #
@@ -72,11 +72,13 @@
 	stress-bad-altstack.c \
 	stress-bigheap.c \
 	stress-bind-mount.c \
+	stress-binderfs.c \
 	stress-branch.c \
 	stress-brk.c \
 	stress-bsearch.c \
 	stress-cache.c \
 	stress-cap.c \
+	stress-chattr.c \
 	stress-chdir.c \
 	stress-chmod.c \
 	stress-chown.c \
@@ -210,6 +212,7 @@
 	stress-rawsock.c \
 	stress-rdrand.c \
 	stress-readahead.c \
+	stress-reboot.c \
 	stress-remap-file-pages.c \
 	stress-rename.c \
 	stress-resources.c \
@@ -238,8 +241,10 @@
 	stress-sigrt.c \
 	stress-sigsegv.c \
 	stress-sigsuspend.c \
+	stress-skiplist.c \
 	stress-sleep.c \
 	stress-sock.c \
+	stress-sockabuse.c \
 	stress-sockdiag.c \
 	stress-sockfd.c \
 	stress-sockpair.c \
