=== debian/changelog ===
stress-ng (0.11.07-1ubuntu2) focal; urgency=medium

  * stress-hdd: ensure offset is aligned to 512 byte boundary (LP: #1951152)
    fixes direct I/O random write failures with the hdd stressor

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 16 Nov 2021 19:31:29 +0000

stress-ng (0.11.07-1ubuntu1) focal; urgency=medium

  * Quote the system-info.version value in YAML metrics (LP: #1943623)
   - upstream commit a52f236917f5 ("core-helper: Quote the
     system-info.version value in YAML metrics")
    
 -- Colin King <colin.king@canonical.com>  Tue, 14 Sep 2021 18:08:14 +0100

stress-ng (0.11.07-1) unstable; urgency=medium

  * Address multiple issues found with pedantic static analysis (LP: #1870193)
    - enabled higher static analysis settings and found and fixed
      a lot of bugs..
  * Makefile: bump version
  * Manual: fix lintian warning on undefined macro
  * stress-zlib: fix clang warning of array subscripted by char
  * core-helper: make end-of-string assignment easier to comprehend
  * stress-reboot: use heap for clone stack, cleans up static analysis warning
  * core-cache: clean up pedantic warnings from static analysis
  * stress-af-alg: fix several memory leaks
  * stress-tun: fix close issues on sfd
  * stress-xattr: be overly pedantic and memset array tmp
  * stress-urandom: fix fd leak on fd_rnd_wr
  * stress-sysbadaddr: fix incorrect 2nd parameter to utimes call
  * stress-sockmany: fix fd leak, close file descriptor on error
  * stress-sockabuse: ensure addrlen is set to the length of addr
  * stress-sockabuse: close fd even when it is zero
  * stress-sockabuse: avoid closing unopened fd on error
  * stress-sock: ensure socklen setting is set before calling getsockopt
  * stress-sigfd: voidify return of read, we don't care if it fails
  * stress-sigfd: fix open error check
  * stress-shm: use shim helper and ignore error return
  * stress-ramfs: fix close of a -ve file descriptor
  * stress-pipeherd: remove redundant variable n
  * stress-mq: don't check values[prio] if prio is out of range
  * stress-memhotplug: fix leak of opendir descriptor
  * stress-judy: check allocated pvalue is not-null
  * stress-eventfd: fix incorrect open failure check
  * stress-cpu: gcd: fix potential multiply overflow
  * stress-cpu: ensure i64 is stashed in stress_cpu_intconversion
  * stress-clock: be extra pedantic and set and check timer_id values
  * stress-chattr: handle open failure correctly
  * stress-binderfs: fix failure error return path
  * stress-af-alg: fix incorrect size of buffer to randomize
  * core-helper: don't call ttyname a second time, use name instead
  * core-helper: ensure data is null terminated
  * core-cache: nullify a free'd cpus pointer before returning
  * stress-cpu: add missing Apéry constant cpu method
  * stress-zlib: add missing morse code generated text

 -- Colin King <colin.king@canonical.com>  Wed, 1 Apr 2020 18:23:41 +0100

stress-ng (0.11.06-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-dev: remove TIOCGETC and TIOCSETC ioctl to fix FTBFS on alpha
    - this is the 2nd attempt to fix this issue, this time I'm removing
      the use these specific ioctl commands.

 -- Colin King <colin.king@canonical.com>  Mon, 30 Mar 2020 09:46:35 +0100

stress-ng (0.11.05-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-dev: define a shim for struct tchar, fixes a FTBFS
    on arch alpha

 -- Colin King <colin.king@canonical.com>  Sun, 29 Mar 2020 17:34:14 +0100

stress-ng (0.11.04-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-sockabuse: reduce scope of variable sfd
  * stress-reboot: reduce scope of another ret variable
  * stress-reboot: reduce scope of variable ret
  * stress-skiplist: make function skip_list_free static
  * stress-madvise: relax constness of buf pointer
  * stress-reboot: don't pass args to clone, it is not required
  * stress-reboot: remove shadowed variable ret
  * stress-sysbaddr: add guard on bad_getdomainname and comment
    out bad_acct
  * stress-sysbadaddr: disable acct for the moment.
  * stress-sysbadaddr: limit clone to just linux for the moment
  * stress-sysbadaddr: pass incremented addresses to avoid restrict
    warnings
  * stress-sysinfo: cast void * to the appropriate arg types on system
    calls
  * stress-reboot: add and use SHIM_CAP_SYS_BOOT
  * stress-reboot: move help so it's always built in
  * Add a reboot stressor.  This does not actually reboot a system.
  * stress-sigfd: exercise the fd info of the signalfd
  * stress-fcntl: pass uids array to fcntl for F_GETOWNER_UIDS cmd
  * stress-sysbadaddr: remove create, it can leave broken files in
    directory
  * stress-sysbadaddr: add in more system calls
  * stress-procfs: remove ARM64 workaround as this is now fixed
  * README: update stressor stats
  * stress-xattr: don't fail to build if HAVE_LGETXATTR is not defined
  * stress-xattr: don't fail to build if HAVE_LSETXATTR is not defined
  * stress-xattr: don't fail to build if HAVE_LLISTXATTR is not defined
  * core-shim: fix typo on LLISTXATTR detection
  * Add shims to xattr system calls
  * stress-pipeherd: fix typo in switch rate info
  * stress-sockabuse: remove xattr from OS X builds
  * stress-dev: add TCOOFF, TCOON, TCIOFF, TCION ioctls
  * stress-dev: add TIOCGETC and TIOCSETC ioctls
  * stress-rtc: exercise RTC_SET_TIME, RTC_IRQP_SET and RTC_VL_READ
    ioctls
  * stress-ustat: silently ignore bad ustat buf
  * stress-sockabuse: don't memset timespec if we don't have
    HAVE_FUTIMENS
  * stress-sockabuse: silently ignore EADDRINUSE error when binding
  * stress-sockabuse: use different port for each instance
  * stress-sockabuse: use DEFAULT_SOCKABUSE_PORT as the default post
  * stress-ng.h: update a couple of socket port definitions
  * core-shim: cast shim'd ustat arg to void *
  * stress-sockabuse: localize variable n to FIONREAD ioctl code block
  * core-shim: fix missing ; on shim_enosys call
  * Add a skiplist stressor

