=== debian/watch ===
version=3
https://kernel.ubuntu.com/~cking/tarballs/stress-ng/stress-ng-(.+).tar.xz
