## stress-ng 0.11.21

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.11.07
+VERSION=0.11.21
 #
 # Codename "synthetic system strainer"
 #
@@ -70,6 +70,7 @@
 	stress-apparmor.c \
 	stress-atomic.c \
 	stress-bad-altstack.c \
+	stress-bad-ioctl.c \
 	stress-bigheap.c \
 	stress-bind-mount.c \
 	stress-binderfs.c \
@@ -141,6 +142,7 @@
 	stress-ioport.c \
 	stress-ioprio.c \
 	stress-iosync.c \
+	stress-io-uring.c \
 	stress-ipsec-mb.c \
 	stress-itimer.c \
 	stress-judy.c \
@@ -182,6 +184,7 @@
 	stress-msg.c \
 	stress-msync.c \
 	stress-mq.c \
+	stress-nanosleep.c \
 	stress-netdev.c \
 	stress-netlink-proc.c \
 	stress-netlink-task.c \
@@ -209,7 +212,9 @@
 	stress-radixsort.c \
 	stress-ramfs.c \
 	stress-rawdev.c \
+	stress-rawpkt.c \
 	stress-rawsock.c \
+	stress-rawudp.c \
 	stress-rdrand.c \
 	stress-readahead.c \
 	stress-reboot.c \
@@ -228,10 +233,13 @@
 	stress-sem.c \
 	stress-sem-sysv.c \
 	stress-sendfile.c \
+	stress-session.c \
 	stress-set.c \
 	stress-shellsort.c \
 	stress-shm.c \
 	stress-shm-sysv.c \
+	stress-sigabrt.c \
+	stress-sigchld.c \
 	stress-sigfd.c \
 	stress-sigfpe.c \
 	stress-sigio.c \
@@ -241,6 +249,7 @@
 	stress-sigrt.c \
 	stress-sigsegv.c \
 	stress-sigsuspend.c \
+	stress-sigtrap.c \
 	stress-skiplist.c \
 	stress-sleep.c \
 	stress-sock.c \
@@ -261,6 +270,7 @@
 	stress-sync-file.c \
 	stress-sysbadaddr.c \
 	stress-sysinfo.c \
+	stress-sysinval.c \
 	stress-sysfs.c \
 	stress-tee.c \
 	stress-timer.c \
@@ -325,23 +335,18 @@
 	core-thermal-zone.c \
 	core-time.c \
 	core-thrash.c \
+	core-ftrace.c \
 	core-try-open.c \
 	stress-ng.c
 
-SRC = $(STRESS_SRC) $(CORE_SRC)
+SRC = $(CORE_SRC) $(STRESS_SRC)
 OBJS = $(SRC:.c=.o)
 
 APPARMOR_PARSER=/sbin/apparmor_parser
 
-LIB_APPARMOR := -lapparmor
-LIB_BSD := -lbsd
-LIB_Z := -lz
-LIB_CRYPT := -lcrypt
-LIB_RT := -lrt
-LIB_PTHREAD := -lpthread
-LIB_AIO = -laio
-LIB_SCTP = -lsctp
-LIB_DL = -ldl
+all:
+	$(MAKE) makeconfig -j1 
+	$(MAKE) stress-ng
 
 #
 #  Load in and set flags based on config
@@ -351,17 +356,11 @@
 LDFLAGS += $(CONFIG_LDFLAGS)
 OBJS += $(CONFIG_OBJS)
 
-all:
-ifneq ("$(wildcard config)","")
-	$(MAKE) makeconfig
-endif
-	$(MAKE) stress-ng
-
 .SUFFIXES: .c .o
 
 .o: stress-ng.h Makefile
 
-.c.o: stress-ng.h Makefile $(SRC)
+.c.o:
 	@echo "CC $<"
 	@$(CC) $(CFLAGS) -c -o $@ $<
 
@@ -371,7 +370,7 @@
 	@sync
 
 makeconfig:
-	@if [ ! -s config ]; then \
+	@if [ ! -e config ]; then \
 		STATIC=$(STATIC) $(MAKE) -f Makefile.config; \
 	fi
 
@@ -396,13 +395,26 @@
 #  extract the PER_* personality enums
 #
 personality.h:
-	@$(CPP) core-personality.c | $(GREP) -e "PER_[A-Z0-9]* =.*," | cut -d "=" -f 1 \
+	@$(CPP) $(CONFIG_CFLAGS) core-personality.c | $(GREP) -e "PER_[A-Z0-9]* =.*," | cut -d "=" -f 1 \
 	| sed "s/.$$/,/" > personality.h
+	@echo "MK personality.h"
 
 stress-personality.c: personality.h
 
+#
+#  extract IORING_OP enums and #define HAVE_ prefixed values
+#  so we can check if these enums exist
+#
+io-uring.h:
+	@$(CPP) $(CONFIG_CLFAGS) core-io-uring.c  | grep IORING_OP | sed 's/,//' | \
+	sed 's/IORING_OP_/#define HAVE_IORING_OP_/' > io-uring.h
+	@echo "MK io-uring.h"
+
+stress-io-uring.c: io-uring.h
+
 core-perf.o: core-perf.c core-perf-event.c
-	@$(CC) $(CFLAGS) -E core-perf-event.c | grep "PERF_COUNT" | sed 's/,/ /' | \
+	@$(CC) $(CFLAGS) -E core-perf-event.c | grep "PERF_COUNT" | \
+	sed 's/,/ /' | sed s/'^ *//' | \
 	awk {'print "#define _SNG_" $$1 " (1)"'} > core-perf-event.h
 	@echo CC $<
 	@$(CC) $(CFLAGS) -c -o $@ $<
@@ -422,11 +434,12 @@
 	rm -rf stress-ng-$(VERSION)
 	mkdir stress-ng-$(VERSION)
 	cp -rp Makefile Makefile.config $(SRC) stress-ng.h stress-ng.1 \
-		core-personality.c COPYING syscalls.txt mascot README \
-		stress-af-alg-defconfigs.h README.Android test snap config \
+		core-personality.c core-io-uring.c \
+		COPYING syscalls.txt mascot README \
+		stress-af-alg-defconfigs.h README.Android test snap \
 		TODO core-perf-event.c usr.bin.pulseaudio.eg \
 		stress-version.h bash-completion example-jobs .travis.yml \
-		kernel-coverage.sh stress-ng-$(VERSION)
+		kernel-coverage.sh code-of-conduct.txt stress-ng-$(VERSION)
 	tar -Jcf stress-ng-$(VERSION).tar.xz stress-ng-$(VERSION)
 	rm -rf stress-ng-$(VERSION)
 
@@ -440,14 +453,19 @@
 	@rm -f stress-ng $(OBJS) stress-ng.1.gz stress-ng.pdf
 	@rm -f stress-ng-$(VERSION).tar.xz
 	@rm -f personality.h
+	@rm -f io-uring.h
 	@rm -f perf-event.h
 	@rm -f apparmor-data.bin
 	@rm -f *.o
-	@:> config
+	@rm -f config
 
 .PHONY: fast-test-all
 fast-test-all: all
 	STRESS_NG=./stress-ng debian/tests/fast-test-all
+
+.PHONY: lite-test
+lite-test: all
+	STRESS_NG=./stress-ng debian/tests/lite-test
 
 .PHONY: slow-test-all
 slow-test-all: all
